#
# Conditional_build:
%bcond_without	apidocs		# gi-doc API documentation
%bcond_without	static_libs	# static libraries

Summary:	Adwaita mobile widgets library
Summary(pl.UTF-8):	Biblioteka widżetów mobilnych Adwaita
Name:		libadwaita
Version:	1.7.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libadwaita/1.7/%{name}-%{version}.tar.xz
# Source0-md5:	f10aaac91bcfddac3ebbb4855985855f
URL:		https://gnome.pages.gitlab.gnome.org/libadwaita/
BuildRequires:	AppStream-devel
BuildRequires:	fribidi-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.80.0
BuildRequires:	gobject-introspection-devel
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	gtk4-devel >= 4.17.5
BuildRequires:	meson >= 0.63.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sassc
BuildRequires:	tar >= 1:1.22
# vala with gtk4 bindings
BuildRequires:	vala >= 2:0.44
BuildRequires:	xz
Requires:	glib2 >= 1:2.80.0
Requires:	gtk4 >= 4.17.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of the Adwaita library is to help with developing UI for
mobile devices using GTK/GNOME.

%description -l pl.UTF-8
Celem biblioteki Adwaita jest pomoc przy tworzeniu interfejsów
użytkownika dla urządzeń przenośnych przy użyciu GTK/GNOME.

%package devel
Summary:	Header files for Adwaita library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Adwaita
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fribidi-devel
Requires:	glib2-devel >= 1:2.80.0
Requires:	gtk4-devel >= 4.17.5

%description devel
Header files for Adwaita library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Adwaita.

%package static
Summary:	Static Adwaita library
Summary(pl.UTF-8):	Statyczna biblioteka Adwaita
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Adwaita library.

%description static -l pl.UTF-8
Statyczna biblioteka Adwaita.

%package -n vala-libadwaita
Summary:	Vala API for Adwaita library
Summary(pl.UTF-8):	API języka Vala do biblioteki Adwaita
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.44

%description -n vala-libadwaita
Vala API for Adwaita library.

%description -n vala-libadwaita -l pl.UTF-8
API języka Vala do biblioteki Adwaita.

%package apidocs
Summary:	API documentation for Adwaita library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Adwaita
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Adwaita library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Adwaita.

%prep
%setup -q

%build
%meson \
	%{!?with_static_libs:--default-library=shared} \
	-Dexamples=false \
	%{?with_apidocs:-Dgtk_doc=true} \
	-Dintrospection=enabled

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libadwaita-1 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_libdir}/libadwaita-1.so.0
%{_libdir}/girepository-1.0/Adw-1.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libadwaita-1.so
%{_includedir}/libadwaita-1
%{_datadir}/gir-1.0/Adw-1.gir
%{_pkgconfigdir}/libadwaita-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libadwaita-1.a
%{_libdir}/libadwaita-1-internal.a
%endif

%files -n vala-libadwaita
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libadwaita-1.deps
%{_datadir}/vala/vapi/libadwaita-1.vapi

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/libadwaita-1
%endif
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libadwaita.git;a=log;h=master

* Sat Mar 15 2025 Jakub Bogusz <qboosh@pld-linux.org> ffb1b42
- updated to 1.7.0 (GNOME 48)

* Mon Feb 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 0f8d353
- updated to 1.6.4

* Mon Jan 13 2025 Jan Palus <atler@pld-linux.org> 9f04bf8
- add static_libs bcond

* Mon Jan 13 2025 Jan Palus <atler@pld-linux.org> c05b3cd
- BR: gettext-tools

* Mon Jan 13 2025 Jakub Bogusz <qboosh@pld-linux.org> 438b24e
- updated to 1.6.3

* Sat Nov 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 0f96a3f
- updated to 1.6.2

* Wed Oct 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 71985ad
- updated to 1.6.1

* Fri Sep 13 2024 Jakub Bogusz <qboosh@pld-linux.org> e726d6c
- updated to 1.6.0 (GNOME 47)

* Tue Aug 13 2024 Jakub Bogusz <qboosh@pld-linux.org> e506bb0
- updated to 1.5.3

* Sat Jun 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 0f4f2ce
- updated to 1.5.2

* Fri May 24 2024 Jakub Bogusz <qboosh@pld-linux.org> da642ba
- updated to 1.5.1

* Fri Mar 22 2024 Jakub Bogusz <qboosh@pld-linux.org> a65f15a
- updated to 1.5.0

* Tue Mar 19 2024 Jan Rękorajski <baggins@pld-linux.org> 0d2393a
- Release 2 (by relup.sh)

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> e3c6e6e
- updated to 1.4.4

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 8a71974
- updated to 1.4.3

* Sun Dec 03 2023 Jakub Bogusz <qboosh@pld-linux.org> b55b595
- updated to 1.4.2 (now ready for AppStream 1.0)

* Thu Oct 19 2023 Jan Palus <atler@pld-linux.org> 493f6d4
- BR: AppStream-devel

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> b937eeb
- use _gidocdir for apidocs

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 65050fd
- updated to 1.4.0

* Sun Sep 03 2023 Jakub Bogusz <qboosh@pld-linux.org> d3b9968
- updated to 1.3.5

